Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.entity.model
Class HLPropertyImpl<E>

    java.lang.Object
      fr.inrialpes.exmo.ontosim.entity.model.EntityImpl<E>
          fr.inrialpes.exmo.ontosim.entity.model.HLEntityImpl<E>
              fr.inrialpes.exmo.ontosim.entity.model.HLPropertyImpl<E>

All Implemented Interfaces:
  Entity<E>, HLEntity<E>, HLProperty<E>

    public class HLPropertyImpl<E>

extends HLEntityImpl<E>
implements HLProperty<E>

Field Summary
`private List<Reference<Set<HLClass<E>>>>` | `domains`
`private List<Reference<Set<HLClass<E>>>>` | `ranges`
`private List<Reference<Set<HLProperty<E>>>>` | `subproperties`
`private List<Reference<Set<HLProperty<E>>>>` | `superproperties`

Fields inherited from class fr.inrialpes.exmo.ontosim.entity.model.HLEntityImpl
`fact, onto`

Constructor Summary
`protected` | `HLPropertyImpl(fr.inrialpes.exmo.ontowrap.HeavyLoadedOntology<E> ont, E e)`

Method Summary
`Set<HLClass<E>>` | `getDomain(int asserted)`
`Set<HLClass<E>>` | `getRange(int asserted)`
`Set<HLProperty<E>>` | `getSubProperties(int local, int asserted, int named)`
`Set<HLProperty<E>>` | `getSuperProperties(int local, int asserted, int named)`

Methods inherited from class fr.inrialpes.exmo.ontosim.entity.model.HLEntityImpl
`getCapabilities, getIdx, getOntology`

Methods inherited from class fr.inrialpes.exmo.ontosim.entity.model.EntityImpl
`getAnnotations, getComments, getLabels, getObject, getURI, isClass, isDataProperty, isIndividual, isObjectProperty, isProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface fr.inrialpes.exmo.ontosim.entity.model.HLEntity
`getOntology`

Methods inherited from interface fr.inrialpes.exmo.ontosim.entity.model.Entity
`getAnnotations, getComments, getLabels, getObject, getURI, isClass, isDataProperty, isIndividual, isObjectProperty, isProperty`

Field Detail

### subproperties

    private List<Reference<Set<HLProperty<E>>>> subproperties

### superproperties

    private List<Reference<Set<HLProperty<E>>>> superproperties

### ranges

    private List<Reference<Set<HLClass<E>>>> ranges

### domains

    private List<Reference<Set<HLClass<E>>>> domains

Constructor Detail

### HLPropertyImpl

    protected HLPropertyImpl(fr.inrialpes.exmo.ontowrap.HeavyLoadedOntology<E> ont,
                             E e)

Method Detail

### getSubProperties

    public Set<HLProperty<E>> getSubProperties(int local,
                                               int asserted,
                                               int named)

  Specified by:
    `getSubProperties` in interface `HLProperty<E>`

### getSuperProperties

    public Set<HLProperty<E>> getSuperProperties(int local,
                                                 int asserted,
                                                 int named)

  Specified by:
    `getSuperProperties` in interface `HLProperty<E>`

### getRange

    public Set<HLClass<E>> getRange(int asserted)

  Specified by:
    `getRange` in interface `HLProperty<E>`

### getDomain

    public Set<HLClass<E>> getDomain(int asserted)

  Specified by:
    `getDomain` in interface `HLProperty<E>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009